package cn.com.qmth.stmms.biz.exam.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.Marker;

public class MarkerSearchQuery extends BaseQuery<Marker> {

    private int examId;

    private String subjectCode;

    private String loginName;

    public void orderByLoginName() {
        setSort(new Sort(Direction.ASC, "loginName"));
    }

    public void orderById() {
        setSort(new Sort(Direction.ASC, "id"));
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

}
